--
-- file prepared: 2 November 2025 18:56:41.252, using fd693f
--
self_ID = "d3a"
declare_plugin(self_ID,
{
	displayName = _("d3a"),
	developerName = _("Half Science, the 'clay pigeon' series"),  --see artistic credits in the readme.txt

	image = "FC.bmp",
	installed = true,
	dirName = current_mod_path,
	fileMenuName = _("d3a"),

	version = " ",
	state = "installed",
	info = _("The Aichi D3A Type 99 Carrier Bomber (Allied reporting name 'Val') is a World War II carrier-borne dive bomber, and credited with sinking more Allied warships than any other Axis aircraft. The D3A1 first saw combat operation in November 1939, one month prior to its official acceptance as the Navy Type 99 dive bomber. The D3A1 commenced carrier qualification trials aboard the aircraft carriers Akagi and Kaga during 1940. Starting with the attack on Pearl Harbor, the D3A1 took part in all major Japanese carrier operations in the first 10 months of the war. The Aichi D3A was the first Japanese aircraft to bomb American targets in the war, commencing with Pearl Harbor and U.S. bases in the Philippines, such as Clark Air Force Base. The D3A achieved their first major success against the Royal Navy during their Indian Ocean raid in April 1942. D3A1 dive bombers scored over 80% hits with their bombs during attacks on two heavy cruisers and an aircraft carrier during the operation. (source: https://en.wikipedia.org/wiki/Aichi_D3A#Specifications_(D3A2_Model_22)) "),

	update_id = "d3a",

	Skins =
	{
		{
			name = _("d3a"),
			dir = "Theme"
		},
	},
	Missions =
	{
		{
			name = _("d3a"),
			dir = "Missions",
		},
	},
	LogBook =
	{
		{
			name = _("d3a"),
			type = "d3a",
		},
	},
	InputProfiles =
	{
		["d3a"] = current_mod_path .. '/Input/d3a',
	},
})
----------------------------------------------------------------------------------------
mount_vfs_texture_path(current_mod_path.."/Textures")
mount_vfs_model_path(current_mod_path.."/Shapes")
dofile(current_mod_path.."/Views.lua")
dofile(current_mod_path.."/weapons.lua")
make_view_settings('d3a', ViewSettings, SnapViews)
make_flyable('d3a', current_mod_path..'/Cockpit/Scripts/', { nil, old = 54 }, current_mod_path..'/comm.lua')
dofile(current_mod_path..'/d3a.lua')
------------------------------------------------------------------------------------ -
plugin_done()

